=begin

Pipes Tubes Profile 2020

Copyrigth: 2020-2022 - DBS Daniel Bieńkowski
=end


require 'sketchup.rb'
require 'extensions.rb'

module DBS
	module PipesTubes2020
		unless file_loaded?(__FILE__)

			path = __FILE__
			path.force_encoding("UTF-8") if path.respond_to?(:force_encoding)

			FILE_BASENAME = File.basename(path, ".*")
			PLUGIN_DIR = File.join(File.dirname(path), FILE_BASENAME)

			EXTENSION = SketchupExtension.new("DBS Pipes Tubes Profiles 2020", File.join(PLUGIN_DIR, "main"))
			EXTENSION.name
			EXTENSION.creator     = "DBS"
			EXTENSION.description = "Construction designing tool"
			EXTENSION.version     = "5.0"
			EXTENSION.copyright   = "2020-2022 - #{EXTENSION.creator}"
			Sketchup.register_extension(EXTENSION, true)

		end
	end
end